package com.ca.directory.jxplorer.editor;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
 *    This interface defines the basis for EditableString.
 *    EditableString implementing this interface, that 
 *    have the name [object class]Editor.class, will be
 *    dynamically loaded, providing that it implements
 *    (in addition to this interface) a no-argument constructor..
 *    @author Trudi  
 */
public interface AbstractStringEditor
{
    /**
     *    The main function; takes an EditableString object that
     *    can then be edited.  
     *
     *    @param String to be modified.
     *
     */
     
    public void setStringValue(EditableString editMe);
}