package com.ca.directory.jxplorer.test;

import com.ca.directory.jxplorer.event.*;
import com.ca.directory.jxplorer.JXplorer;


public class EventTester
    implements JXplorerListener
{
    JXplorer DNpicker; 

    /** 
     *    Do nothing except create an EventTester
     */
    public static void main (String args[]) 
    {
         new EventTester();
    }
    
    /**
     *   Constructor creates a JXplorer object, and registers the
     *   newly created object with JXplorer as a JXplorerListener.
     */
     
    public EventTester()
    {
        DNpicker = new JXplorer();
        DNpicker.addJXplorerListener(this);
    }

    /**
     *    Implement the JXplorerListener interface:
     */
     
    public void JXplorerDNSelected(JXplorerEvent e)
    {
        System.out.println("**** Selected DN = " + e.getDN() + " **** ");
        DNpicker.hide();
    }
        
    
} 